Is possible to have two versions installed?

Added by Rafael Rodriguez about 6 years ago

Hi,
I repeat my question here because it looks like the Installing AMC forum is least read.

Now than 1.3.0 is coming out I would like to install it keeping the old version available.
It's possible to change the installation directory?
Thanks,
Rafael


Replies (2)

RE: Is possible to have two versions installed? - Added by Alexis Bienvenüe about 6 years ago

Maybe you can try a local install - I don't know if this still works.
  • download the sources
  • use make and then make portable
  • extract the files from the new xxx_portable.tar.gz file somewhere, and call this particular version.

RE: Is possible to have two versions installed? - Added by Rafael Rodriguez about 6 years ago

Thanks for the help. I tried make and make portable but it seems there is no portable target in the Makefile.
Anyway doing make portable ends with the error:

Can't open perl script "local/versions.pl": file does not exist.

There is a portable_vok target, but doing make potable_vok complaints about some missing libraries:

-lcv
-lhighgui
-lcxcore

Please tell me if the portable_vok is the one to use. If so I'll try to install the missing packages (I am using OpenSuse Leap 42.1)

Thanks,
Rafael

(1-2/2)